=== examples/CMakeLists.txt ===
add_subdirectory(player)
add_subdirectory(appsink-src)
add_subdirectory(recorder)
