=== debian/changelog ===
qt-gstreamer (0.10.1-2ubuntu4) precise; urgency=low

  * Add patch from upstream to fix FTBFS with glib 2.31.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 31 Mar 2012 10:51:25 +0200

qt-gstreamer (0.10.1-2ubuntu3) oneiric; urgency=low

  * Add patch from upstream to fix FTBFS with glib 2.29.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 14 Aug 2011 20:57:53 +0200

qt-gstreamer (0.10.1-2ubuntu2) oneiric; urgency=low

  * Enable unit tests.
    - Build-depend on gstreamer0.10-plugins-base.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 23 May 2011 18:29:27 +0200

qt-gstreamer (0.10.1-2ubuntu1) oneiric; urgency=low

  * libqtglib-2.0-0.symbols: Add missing symbol.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 23 May 2011 12:39:41 +0200

qt-gstreamer (0.10.1-2) unstable; urgency=low

  * Import patch from upstream to fix FTBFS - disable building
    latex documentation by default (Closes: #621892).
  * Update symbols file for gcc 4.5.
  * Add build dependency on graphviz to use dot for generating
    graphs in the documentation.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Thu, 14 Apr 2011 12:22:39 +0300

qt-gstreamer (0.10.1-1) experimental; urgency=low

  * Initial release. (Closes: #605040)

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Fri, 07 Jan 2011 23:41:31 +0200
